Debian Bug report logs - #468029
libgtk2-ex-volumebutton-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libgtk2-ex-volumebutton-perl; Maintainer for libgtk2-ex-volumebutton-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libgtk2-ex-volumebutton-perl is src:libgtk2-ex-volumebutton-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:31:36 UTC

Severity: important

Tags: patch

Found in version libgtk2-ex-volumebutton-perl/0.07-1

Fixed in version libgtk2-ex-volumebutton-perl/0.07-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <florian@mookooh.org>:
Bug#468029; Package libgtk2-ex-volumebutton-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libgtk2-ex-volumebutton-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:18 +0200
Package: libgtk2-ex-volumebutton-perl
Version: 0.07-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <florian@mookooh.org>:
Bug#468029; Package libgtk2-ex-volumebutton-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #10 received at 468029@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468029@bugs.debian.org
Subject: libgtk2-ex-volumebutton-perl: diff for NMU version 0.07-1.1
Date: Sat, 5 Apr 2008 14:39:18 +0100
[Message part 1 (text/plain, inline)]
tags 468029 + patch
thanks

Hi,

Attached is the diff for my libgtk2-ex-volumebutton-perl 0.07-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libgtk2-ex-volumebutton-perl-0.07-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 13:42:08 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 468029-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468029-close@bugs.debian.org
Subject: Bug#468029: fixed in libgtk2-ex-volumebutton-perl 0.07-1.1
Date: Sat, 05 Apr 2008 13:47:04 +0000
Source: libgtk2-ex-volumebutton-perl
Source-Version: 0.07-1.1

We believe that the bug you reported is fixed in the latest version of
libgtk2-ex-volumebutton-perl, which is due to be installed in the Debian FTP archive:

libgtk2-ex-volumebutton-perl_0.07-1.1.diff.gz
  to pool/main/libg/libgtk2-ex-volumebutton-perl/libgtk2-ex-volumebutton-perl_0.07-1.1.diff.gz
libgtk2-ex-volumebutton-perl_0.07-1.1.dsc
  to pool/main/libg/libgtk2-ex-volumebutton-perl/libgtk2-ex-volumebutton-perl_0.07-1.1.dsc
libgtk2-ex-volumebutton-perl_0.07-1.1_all.deb
  to pool/main/libg/libgtk2-ex-volumebutton-perl/libgtk2-ex-volumebutton-perl_0.07-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libgtk2-ex-volumebutton-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 14:36:54 +0100
Source: libgtk2-ex-volumebutton-perl
Binary: libgtk2-ex-volumebutton-perl
Architecture: source all
Version: 0.07-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <florian@mookooh.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libgtk2-ex-volumebutton-perl - Gtk2 widget to control volume and similar values
Closes: 468029
Changes: 
 libgtk2-ex-volumebutton-perl (0.07-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #468029.
Files: 
 e1c1a87268d0fb892af55c2790253294 703 perl optional libgtk2-ex-volumebutton-perl_0.07-1.1.dsc
 7b4fe701b92caa64d356e5cb1472112a 2113 perl optional libgtk2-ex-volumebutton-perl_0.07-1.1.diff.gz
 c2a427b52055d32a8feed2536efdfd39 10152 perl optional libgtk2-ex-volumebutton-perl_0.07-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH94CTNIW6CNDsByMRAk/nAKDaNWs+MQy4YAXEC1S5dZ8NTljYlgCeKutl
CI7EYvJyrLGDev0fqPWEo9s=
=/Eca
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:38:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:34:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.